/* cfstr.c */

/* Copyright 1997-2000 by Eberhard Mattes <em-gw@windhager.de>
   Donated to the public domain.  No warranty.

   1997-07-22 Initial version
   2000-05-27 Use config_arg_count() */

#include <stdlib.h>
#include <errno.h>
#include <syslog.h>
#include "firewall.h"
#include "libemfw.h"

char *config_string (Cfg *confp, const char *name)
{
  Cfg *cf = cfg_get (name, confp);
  if (cf == (Cfg *)0)
    return NULL;
  config_arg_count (cf, 1);
  return cf->argv[0];
}
